# toe 1m

    toe(1m)                                                                toe(1m)

## NAME

           toe - table of (terminfo) entries

## SYNOPSIS

           toe [-v[n]] [-ahsuUV] file...

## DESCRIPTION

           With no options, toe lists all available terminal types by primary name
           with descriptions.   File  arguments  specify  the  directories  to  be
           scanned;  if  no such arguments are given, your default terminfo direc-
           tory is scanned.  If you also specify the -h option, a directory header
           will be issued as each directory is entered.

           There are other options intended for use by terminfo file maintainers:

           -a     report  on  all  of  the  terminal databases which ncurses would
                  search, rather than only the first one that it finds.

                  If the -s is also given, toe adds a column to the report,  show-
                  ing  (like  conflict(1))  which  entries which belong to a given
                  terminal database.  An "*" marks entries which differ,  and  "+"
                  marks equivalent entries.

                  Without  the -s option, toe does not attempt to merge duplicates
                  in its report

           -s     sort the output by the entry names.

           -u file
                  says to write a report to the standard output, listing dependen-
                  cies in the given terminfo/termcap source file.  The report con-
                  denses the "use" relation: each line  consists  of  the  primary
                  name  of  a  terminal  that  has use capabilities, followed by a
                  colon, followed by the whitespace-separated primary names of all
                  terminals  which  occur in those use capabilities, followed by a
                  newline

           -U file
                  says to write a report to the standard output,  listing  reverse
                  dependencies  in  the  given  terminfo/termcap source file.  The
                  report reverses the "use" relation: each line  consists  of  the
                  primary name of a terminal that occurs in use capabilities, fol-
                  lowed by a colon, followed by the  whitespace-separated  primary
                  names  of  all  terminals which depend on it, followed by a new-
                  line.

           -vn    specifies that (verbose) output be written  to  standard  error,
                  showing toe's progress.

                  The  optional  parameter n is a number from 1 to 10, interpreted
                  as for tic(1m).  If ncurses is built  without  tracing  support,
                  the optional parameter is ignored.

           -V     reports  the  version of ncurses which was used in this program,
                  and exits.

## FILES

           /usr/share/terminfo/?/*
                Compiled terminal description database.

## SEE ALSO

           tic(1m), infocmp(1m), captoinfo(1m),  infotocap(1m),  curses(3x),  ter-
           minfo(5).

           This describes ncurses version 6.1 (patch 20180901).

                                                                           toe(1m)